Page 2 of 2

Re: Upgrading to 3.16.0

Posted: Friday 21st May 2021 11:57am
by Doctor Watson
Well, it’s been an exiting 24 hours.
I followed Bruce’s and Steve’s suggestion and installed this Synaptic app. Used it to de-activate noobslab.
Next, went back to the Terminal to upgrade Gambas. Noobslab was gone and procedures started. Suddenly at some point some error message, but upgrade continued. Then even a warning appeared that Ubuntu 20.04 had problems.
Result after re-booting: Gambas not working but luckily Ubuntu still did.
Tried to find out what was wrong using Synaptic (it does have many options) and got “36 broken packages” - all Gambas. Now what ? Decided to remove Gambas altogether. Terminal : “apt-get remove gambas3*” …. ???
Remove Gambas.png
Remove Gambas.png (35.09 KiB) Viewed 500 times
Back to Synaptic. Found option to fix broken packages. Didn’t work.
Option Remove Packages. That one worked. Checked : Gambas was gone.
Did a new install (https://itsfoss.com/install-gambas-ubuntu/) and YES! , Gambas 3.16.0 works.
Treated myself with a nice beer.
And if I might be allowed some remarks :
- Our esteemed developers found it necessary to change the ‘use and feel’ of the keyboard. In the editor you can no longer navigate using the numeric keypad with NumLock switched off. That is really frustrating because I do so for ages and in every other programme – like this forum’s editor.
- When you run your project, it appears in the upper left corner of the screen instead of the middle. Perhaps a question of taste, but I prefer to see it appear in the middle.

And if at least the weather gods treat me nice, I’ll be off for a week or so to my favourite cabin somewhere in the Austrian mountains. No computer, Ubuntu or Gambas unless the kind prepared in garlic sauce.

Re: Upgrading to 3.16.0

Posted: Friday 21st May 2021 2:26pm
by BruceSteers
dang doc..
that message was because you did not run apt as root
sudo apt-get remove gambas3*

Dude. :roll:
Sorry i did not realise you were that inexperienced with the os that i needed to spell that out for you.

PS.
Public Sub Form_Open()
Me.Center() ' window is center screen 

End

Re: Upgrading to 3.16.0

Posted: Saturday 22nd May 2021 7:26am
by stevedee
BruceSteers wrote:
Friday 21st May 2021 2:26pm
...Sorry i did not realise you were that inexperienced with the os that i needed to spell that out for you...
Well, he did post his question on the Beginners forum...which is where we need to spell out our answers ;)

Doc, note that you may also get "dpkg lock" messages if you try to do:-

Code: Select all

sudo apt upgrade
if Synaptic is still open.

Also "apt-get" can simply be replaced by "apt" these days.

Re: Upgrading to 3.16.0

Posted: Saturday 22nd May 2021 7:59am
by BruceSteers
Also Doc a big change in 3.16 is the IDE now uses the GTK interface by default not QT

QT supports numpad arrow keys GTK does not.

you can edit your launcher icon to change the command
gambas3
to..
env GB_GUI=gb.qt5 gambas3

(or qt4 if your system uses it)

That will launch the IDE with QT and your numpad keys will work again.

Also if you have a panel icon to launch it you should be able to right-click the icon and select "Run with QT4" (or 5)

PS. notice that shell command "sleep 5; mate-screenshot" ? that's a tip on how to screenshot with menus open :)

Re: Upgrading to 3.16.0

Posted: Saturday 22nd May 2021 8:12am
by BruceSteers
stevedee wrote:
Saturday 22nd May 2021 7:26am
BruceSteers wrote:
Friday 21st May 2021 2:26pm
...Sorry i did not realise you were that inexperienced with the os that i needed to spell that out for you...
Well, he did post his question on the Beginners forum...which is where we need to spell out our answers ;)
Clearly
To the very letter.
nice sreenshots though ;)

Re: Upgrading to 3.16.0

Posted: Monday 07th June 2021 8:00am
by Doctor Watson
Hi guys.
Thanks for the all replies.
I have a lot of catching up to do after that week-turned-into-two in the Austrian mountains.